Skip to contents

# Download REDCap data

Source: `R/read_redcap_tables.R`
`read_redcap_tables.Rd`

Implementation of REDCap_split with a focused data acquisition approach using REDCapR::redcap_read and only downloading specified fields, forms and/or events using the built-in focused_metadata including some clean-up. Works with classical and longitudinal projects with or without repeating instruments.

## Usage

    read_redcap_tables(
      uri,
      token,
      records = NULL,
      fields = NULL,
      events = NULL,
      forms = NULL,
      raw_or_label = "label",
      split_forms = "all",
      generics = c("redcap_event_name", "redcap_repeat_instrument", "redcap_repeat_instance")
    )

## Arguments

uri

  REDCap database API uri

token

  API token

records

  records to download

fields

  fields to download

events

  events to download

forms

  forms to download

raw_or_label

  raw or label tags

split_forms

  Whether to split "repeating" or "all" forms, default is all.

generics

  vector of auto-generated generic variable names to ignore when discarding empty rows

## Value

list of instruments

## Examples

    # Examples will be provided later